Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.capabilities
Class WMPSOperationsMetadata

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
          org.deegree.ogcwebservices.wmps.capabilities.WMPSOperationsMetadata

All Implemented Interfaces:
  Serializable

    public class WMPSOperationsMetadata

extends OperationsMetadata

Represents the `OperationMetadata` part in the capabilities document of a WMPS. The `GetCapabilities` operation may define the following operation:

- PrintMap

Version:
  2.0.
Author:
  Anup Deshmukh
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`constraints, GET_CAPABILITIES_NAME, getCapabilitiesOperation, parameters`

Constructor Summary
`WMPSOperationsMetadata(Operation getCapabilities, Operation printMap)` Constructs a new `WMPSOperationsMetadata` instance from the given parameters.
`WMPSOperationsMetadata(Operation getCapabilities, Operation printMap, OWSDomainType[] parameters, OWSDomainType[] constraints)` Constructs a new `WMPSOperationsMetadata` instance from the given parameters.

Method Summary
`Operation[]` | `getOperations()` Returns all `Operations` known to the WMPS.
`Operation` | `getPrintMap()` Returns the print map operation.
`void` | `setPrintMap(Operation printMap)` Sets the print map operation

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`addConstraint, addParameter, getConstraints, getGetCapabilitiesOperation, getParameter, removeParameter, setConstraints, setGetCapabilitiesOperation, setOperationParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMPSOperationsMetadata

    public WMPSOperationsMetadata(Operation getCapabilities,
                                  Operation printMap,
                                  OWSDomainType[] parameters,
                                  OWSDomainType[] constraints)

  Constructs a new `WMPSOperationsMetadata` instance from the given parameters.

  Parameters:
    `getCapabilities` -
    `printMap` -
    `parameters` -
    `constraints` -

### WMPSOperationsMetadata

    public WMPSOperationsMetadata(Operation getCapabilities,
                                  Operation printMap)

  Constructs a new `WMPSOperationsMetadata` instance from the given parameters.

  Parameters:
    `getCapabilities` -
    `printMap` -

Method Detail

### getOperations

    public Operation[] getOperations()

  Returns all `Operations` known to the WMPS. Currently only
  - GetCapabilities
  - PrintMap
  supported

  Overrides:
    `getOperations` in class `OperationsMetadata`
  Returns:
    Operation[]

### getPrintMap

    public Operation getPrintMap()

  Returns the print map operation.

  Returns:
    Operation

### setPrintMap

    public void setPrintMap(Operation printMap)

  Sets the print map operation

  Parameters:
    `printMap` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org